Page MenuHomePhabricator

Windows: remove Evil dependency, general cleanup for Windows
ClosedPublic

Authored by vtorri on Jul 1 2020, 12:30 PM.

Details

Diff Detail

Repository
rTEXPE tools/expedite
Branch
master
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 17098
Build 11375: arc lint + arc unit
vtorri requested review of this revision.Jul 1 2020, 12:30 PM
vtorri created this revision.
vtorri updated this revision to Diff 30814.Jul 2 2020, 6:40 AM

remove unused c++ files, clean up configure.ac

raster accepted this revision.Jul 3 2020, 4:25 AM
This revision is now accepted and ready to land.Jul 3 2020, 4:25 AM
raster requested changes to this revision.Jul 6 2020, 6:51 AM

actually.. testing this...

configure: error: Objective C compiler cannot create executables
See `config.log' for more details
cat config.log
...
configure:2936: gcc -V >&5
gcc: error: unrecognized command-line option '-V'
gcc: fatal error: no input files
compilation terminated.
configure:2947: $? = 1
configure:2936: gcc -qversion >&5
gcc: error: unrecognized command-line option '-qversion'; did you mean '--version'?
gcc: fatal error: no input files
compilation terminated.
configure:2947: $? = 1
configure:2967: checking whether the Objective C compiler works
configure:2989: gcc   -Wl,--disable-new-dtags conftest.m  >&5
gcc: fatal error: cannot execute 'cc1obj': execvp: No such file or directory
compilation terminated.
configure:2993: $? = 1
configure:3031: result: no
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "expedite"
| #define PACKAGE_TARNAME "expedite"
| #define PACKAGE_VERSION "1.23.0"
| #define PACKAGE_STRING "expedite 1.23.0"
| #define PACKAGE_BUGREPORT "enlightenment-devel@lists.sourceforge.net"
| #define PACKAGE_URL ""
| #define PACKAGE "expedite"
| #define VERSION "1.23.0"
| /* end confdefs.h.  */
|
| int
| main ()
| {
|
|   ;
|   return 0;
| }
configure:3036: error: in `/home/raster/C/git/expedite':
configure:3038: error: Objective C compiler cannot create executables
See `config.log' for more details
...
This revision now requires changes to proceed.Jul 6 2020, 6:51 AM
vtorri updated this revision to Diff 30828.Jul 6 2020, 10:49 AM

remove objc support

raster accepted this revision.Jul 7 2020, 5:45 AM
This revision is now accepted and ready to land.Jul 7 2020, 5:45 AM
This revision was automatically updated to reflect the committed changes.